# Version 141854

**A new release of Sherpa Orchestrator has been released: Version 141854.**

1. On the Triggers screen, a new column Process has been added to the Triggers table, displaying the current process that is being executed within the tasks initiated by this trigger.
2. In the Form Designer ![](https://lh7-rt.googleusercontent.com/docsz/AD_4nXdgx9UT3-RZmernBicqOA9bZcGHIOm7YUlCTru6zFErAccclcd155Osm9ALFSohCUQj9-LJb7mw9nopi-SS39XMKfJ_viKOFGwTVNInpcK86ESKcBoy2bbMhbntAr_eodBx1QPg8g?key=Pe0iNS94PSfAaeID6S-fzA2W) on the Actions screen, a new widget type - HTML has been added. This widget allows the use of HTML data both in the Widget Settings and in the Parameter of the selected Task.
3. Now all widgets in the Form Designer ![](https://lh7-rt.googleusercontent.com/docsz/AD_4nXdgx9UT3-RZmernBicqOA9bZcGHIOm7YUlCTru6zFErAccclcd155Osm9ALFSohCUQj9-LJb7mw9nopi-SS39XMKfJ_viKOFGwTVNInpcK86ESKcBoy2bbMhbntAr_eodBx1QPg8g?key=Pe0iNS94PSfAaeID6S-fzA2W) on the Actions screen support validation of user input through regular expressions. For this, the Item settings have been updated with the fields “Regular expression (Regexp)” and “Validation error hint”.
4. In the Form Designer ![](https://lh7-rt.googleusercontent.com/docsz/AD_4nXdgx9UT3-RZmernBicqOA9bZcGHIOm7YUlCTru6zFErAccclcd155Osm9ALFSohCUQj9-LJb7mw9nopi-SS39XMKfJ_viKOFGwTVNInpcK86ESKcBoy2bbMhbntAr_eodBx1QPg8g?key=Pe0iNS94PSfAaeID6S-fzA2W) on the Actions screen, a new widget type - Label has been added. This widget allows displaying either fixed text from the action settings or text contained in the Parameter of the selected Task.
5. On the Jobs screen, a new column Source has been added to the table. It displays information on how this Job was created: ‘GUI’/ ‘Trigger’/ ‘API’.
6. In the Form Designer ![](https://lh7-rt.googleusercontent.com/docsz/AD_4nXdgx9UT3-RZmernBicqOA9bZcGHIOm7YUlCTru6zFErAccclcd155Osm9ALFSohCUQj9-LJb7mw9nopi-SS39XMKfJ_viKOFGwTVNInpcK86ESKcBoy2bbMhbntAr_eodBx1QPg8g?key=Pe0iNS94PSfAaeID6S-fzA2W) on the Dashboard screen, a new widget type - Table has been added.
7. The logic of several API methods has been refined and expanded to improve performance and usability.
8. A new parameter `show_process_only_for_users_in_assistant` with a default value of 0 has been added to the configuration file (backend/config/config.ini). When this parameter is set to 1, the system will load the list of all processes via API when working in the Assistant only upon authentication using a username and password or API key. Thus, by default, only local processes will be displayed in the Assistant.
9. On the Storage screen, the ability to view files in PDF, TXT, DOCX, XLSX formats, and some others has been added. To do this, simply click on the View icon ![](https://lh7-rt.googleusercontent.com/docsz/AD_4nXd-G12NKW_5AkRIcZNjR-nDDISCg1AgYVkzSKHYbDHW8S0ZH6Dpsa9OcceqXvQGPpXJ32ChwXByMTMCGpOp5iShalJeU-ALUmMsUX1wcM4ZMhW4sWDO19o7Pa-GLpu9bKxa1fjS?key=Pe0iNS94PSfAaeID6S-fzA2W) in the Files table. This opens an online viewing tool that allows for convenient viewing of documents of these types.
10. The ability to store passwords in encrypted form in the configuration file `config.ini` (backend/config/config.ini) has been introduced. Encryption works with the following parameters:

* database\_password
* proxy\_password
* smtp\_password
* ldap\_password
* oAuthClientSecret
* database\_password\_archive

To encrypt passwords, follow these steps:

1. Go to the orchestrator address, adding `/generate-key.php` to it and click “Generate”. Random IV and encryption key (encoded in Base64 format) will be generated. Be sure to save them.
2. Go to the orchestrator address, adding `/encryptor.php`. Enter the IV and key (obtained in the previous step) in the corresponding fields. In the “Text to encrypt” field, enter the password that needs to be encrypted and click “Generate”. Save the resulting encrypted password.
3. In the configuration file `backend/config/config.ini`, save the encrypted password in the corresponding parameter.
4. In the configuration file, add the parameter `use_encryption` with the value `1`. Save the changes.
5. Create an environment variable `ORCHESTRATOR_ENCRYPTION_KEY` and save the encryption key obtained in the first step.
6. Ensure that in `docker-compose.yml` in the environment section of the orchestrator container, the line is specified: `ORCHESTRATOR_ENCRYPTION_KEY=${ORCHESTRATOR_ENCRYPTION_KEY}`.
7. Restart the containers using `run.sh`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/en/obnovleniya/obnovleniya-sherpa-orchestrator/versiya-141854.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
